CHCON(1)

NAZWA
chcon - zmienia kontekst bezpieczeństwa pliku

SKŁADNIA
chcon [OPCJA]... KONTEKST PLIK...
chcon [OPCJA]... [-u UŻYTKOWNIK] [-r ROLA] [-l ZAKRES] [-t TYP] PLIK...
chcon [OPCJA]... --reference=PLIK-WZORC PLIK...

OPIS

Zmienia kontekst bezpieczeństwa SELinux każdego z PLIKÓW na KONTEKST. Z opcją --reference zmienia kontekst bezpieczeństwa każdego PLIKU na taki sam, jaki posiada PLIK-WZORC.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

--dereference
    działa na plikach wskazywanych przez dowiązania symboliczne (tak jest domyślnie), zamiast na samych dowiązaniach

-h, --no-dereference
    zmiany dotyczą samych dowiązań symbolicznych zamiast plików, które one wskazują

-u, --user=UŻYTKOWNIK
    ustawia UŻYTKOWNIKA w docelowym kontekście bezpieczeństwa

-r, --role=ROLA
    ustawia ROLĘ w docelowym kontekście bezpieczeństwa

-t, --type=TYP
    ustawia TYP w docelowym kontekście bezpieczeństwa

-l, --range=ZAKRES
    ustawia ZAKRES w docelowym kontekście bezpieczeństwa

--no-preserve-root
    nie traktuje "/" w sposób specjalny (domyślnie)

--preserve-root
    odmawia działania rekurencyjnego na "/"

--reference=PLIK-WZORC
    używa kontekstu bezpieczeństwa PLIKU-WZORC zamiast podawania wartości KONTEKSTU

-R, --recursive
    działa rekurencyjnie na plikach i katalogach

-v, --verbose
    wyświetla informacje diagnostyczne o każdym przetwarzanym pliku

Następujące opcje modyfikują sposób, w jaki program przemieszcza się po hierarchii katalogów, jeśli podano także opcję -R. Jeśli podano kilka opcji, używana jest ostatnia z podanych.

-H  jeśli argument wiersza poleceń jest dowiązaniem symbolicznym do katalogu, podąża za nim

-L  podąża za każdym napotkanym dowiązaniem symbolicznym do katalogu

-P  nie podąża za żadnymi dowiązaniami symbolicznymi (domyślnie)

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

AUTOR
Napisane przez Russella Cokera i Jima Meyeringa.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <http://www.gnu.org/software/coreutils/>
Zgłoszenia błędów w tłumaczeniu chcon proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2016 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja na stronie: <http://www.gnu.org/software/coreutils/chcon>
lub lokalnie, za pomocą info 'coreutils) chcon invocation'

TŁUMACZENIE
Autorem polskiego tłumaczenia niniejszej strony podręcznika man jest Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.25 oryginału.